problem with dependencies

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read this

problem with dependencies

Postby jpedrosa on Sun Aug 12, 2007 10:02 pm

hi,
i have a LM box without internet access at the moment.
so i'm trying to install the pakages, but i run into a problem.

i've downloaded the package nvidia-glx_1.0.9631+2.6.22.2-9.7_i386.deb and this required the libc6, so i downloaded the package libc6_2.6.1-0ubuntu1_i386.deb

the problem is that when i try to install the libc6, it says the has a conflict with package TZdata, this is the time zone information... i kind a ... need it :)

any way to overcome this?

best regards,
JP
jpedrosa
Level 1
Level 1
 
Posts: 27
Joined: Sun Aug 12, 2007 9:56 pm
Location: Lisboa, Portugal

Linux Mint is funded by ads and donations.
 

Postby Boo on Sun Aug 12, 2007 10:23 pm

any reason you are not using synaptic or apt-get? using a newer kernel and so need the newer nvidia deb by the looks of it.
they would resolve all the dependencies.

you could use synaptic or apt-get to install libc6 first from the repos. this would resolve any dependencies with libc6.

then try installing the nvidia-glx file manually.

:D
Image
Now where was i going? Oh yes, crazy!
User avatar
Boo
Level 8
Level 8
 
Posts: 2364
Joined: Mon Mar 26, 2007 7:48 am

Postby jpedrosa on Mon Aug 13, 2007 5:11 am

hi,
thanks.

yes there is a special reason for not using synaptic or apt-get ... i don't know how :)

now, serious, i don't know how to use it without internet access. i thought that thoose only worked online.

can you give me some lights?
i'm an Ex-slackare user.... i'm "off" the linux world for 5 or 6 years, but i can try to catch up fast ;)

but listen,
i managed to comply with the libc6 dependencies, the problem is that it does not install, because TZdata package is present.

best regards,
JP
jpedrosa
Level 1
Level 1
 
Posts: 27
Joined: Sun Aug 12, 2007 9:56 pm
Location: Lisboa, Portugal

Postby Boo on Mon Aug 13, 2007 9:09 pm

check for an update to the TZdata package.

if you access to the internet on a ubuntu/mint system somewhere i would install a program called APTonCD.
this will allow you to download all the dependencies for a program(s) and then burn them to CD. (make sure you put aptoncd on it too)
then you take the CD to the other computer and use aptoncd to add it to the repos list. then you can use apt-get or synaptic to install the program(s) as if you were connected to the internet.

of course if you only have a windows box to the internet you are stuck with your current method of updating.

:D
Image
Now where was i going? Oh yes, crazy!
User avatar
Boo
Level 8
Level 8
 
Posts: 2364
Joined: Mon Mar 26, 2007 7:48 am

Postby mmcg on Mon Aug 13, 2007 9:28 pm

If you have a Ubuntu CD lying about, you could try this...

http://linuxmint.com/forum/viewtopic.php?t=3940
User avatar
mmcg
Level 1
Level 1
 
Posts: 19
Joined: Mon Jul 16, 2007 7:06 pm

Postby jpedrosa on Tue Aug 14, 2007 4:47 am

hi thanks.

i'll try what is says on the link.
for me the other option is not an "option" at the moment, i don't have other machine with LM/Ubuntu

is getting clear to me that i must try to have internet on that pc, so today i will try to take a crossover cable from the office and try to access using my laptop+3G card.

lets see.

i always liked a nice fight ... ;)
jpedrosa
Level 1
Level 1
 
Posts: 27
Joined: Sun Aug 12, 2007 9:56 pm
Location: Lisboa, Portugal

Postby mmcg on Wed Aug 15, 2007 10:15 am

how are you getting on with that?
User avatar
mmcg
Level 1
Level 1
 
Posts: 19
Joined: Mon Jul 16, 2007 7:06 pm

Postby jpedrosa on Wed Aug 15, 2007 10:25 am

hi,
i forgot the crossover cable :(

but this is a brand new install, and i saw that LM+KDE was released yesterday, so my 3G card is working hard to see if i can have the new distro tonight.

then, i'll get back to the fight ;)

i'm also more used to KDE so it's good news.

thanks for the interest i'll keep you updated.

by the way, when i say tonight ... Portugal time ;) it's 15h30m here now ;)

regards,
JP
jpedrosa
Level 1
Level 1
 
Posts: 27
Joined: Sun Aug 12, 2007 9:56 pm
Location: Lisboa, Portugal

Postby mmcg on Thu Aug 30, 2007 10:53 am

what about this update you promised? :D
User avatar
mmcg
Level 1
Level 1
 
Posts: 19
Joined: Mon Jul 16, 2007 7:06 pm

Postby jpedrosa on Thu Aug 30, 2007 11:23 am

hi.

please don't ask....

it has been some hard time :)

I've downloaded The KDE edition, and installed on my personal machine.

Then... the movie starts :D

i received a new laptop, and had to spend time installing it
on my personal machine ... wireless is not working.
on my personal machine ... i already had trashed the LAN adapter.
yesterday i got another PCI LAN CARD.
so this weekend i will continue the previous fight with the dependencies :D :D :D

things never take so little time has they should

PS: and i was also on vacation :)
jpedrosa
Level 1
Level 1
 
Posts: 27
Joined: Sun Aug 12, 2007 9:56 pm
Location: Lisboa, Portugal

Linux Mint is funded by ads and donations.
 

Return to Newbie Questions

Who is online

Users browsing this forum: Bing [Bot], Hecubus and 36 guests